Get project weather

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/weather

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • weatherStationId string
    • date string(date)
    • temperatureAverage number(double)
    • temperatureMaximum number(double)
    • temperatureMinimum number(double)
    • precipitation number(double)
    • windSpeed number(double)
    • snow number(double)
    • peakWindGust number(double)
    • highestInstantaneousWindSpeed number(double)
    • fastestMileWindSpeed number(double)
    • fastest5SecWindSpeed number(double)
    • fastest1MinWindSpeed number(double)
    • fastest2MinWindSpeed number(double)
    • summary string
GET /project/{projectId}/weather
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/weather' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "weatherStationId": "string",
    "date": "2026-05-04",
    "temperatureAverage": 42.0,
    "temperatureMaximum": 42.0,
    "temperatureMinimum": 42.0,
    "precipitation": 42.0,
    "windSpeed": 42.0,
    "snow": 42.0,
    "peakWindGust": 42.0,
    "highestInstantaneousWindSpeed": 42.0,
    "fastestMileWindSpeed": 42.0,
    "fastest5SecWindSpeed": 42.0,
    "fastest1MinWindSpeed": 42.0,
    "fastest2MinWindSpeed": 42.0,
    "summary": "string"
  }
]